Package org.apache.sysds.runtime.compress.colgroup

# Interface IContainADictionary

All Known Implementing Classes:
  `AColGroupOffset`, `AColGroupValue`, `ADictBasedColGroup`, `AMorphingMMColGroup`, `APreAgg`, `ASDC`, `ASDCZero`, `ColGroupConst`, `ColGroupDDC`, `ColGroupDDCFOR`, `ColGroupDDCLZW`, `ColGroupDeltaDDC`, `ColGroupEmpty`, `ColGroupOLE`, `ColGroupRLE`, `ColGroupSDC`, `ColGroupSDCFOR`, `ColGroupSDCSingle`, `ColGroupSDCSingleZeros`, `ColGroupSDCZeros`

public interface IContainADictionary

## Method Summary

Modifier and Type
Method
Description
`IDictionary`
`getDictionary()`

## Method Details

### getDictionary

IDictionary getDictionary()